# AlignToVector entity,vector_x#,vector_y#,vector_z#,axis[,rate#]

# Parameters

entity - entity handle vector_x# - vector x vector_y# - vector y vector_z# - vector z axis - axis of entity that will be aligned to vector 1: x-axis 2: y-axis 3: z-axis rate# (optional) - rate at which entity is aligned from current orientation to vector orientation. Should be in the range 0 to 1, 0 for smooth transition and 1 for 'snap' transition. Defaults to 1.

# Description

Aligns an entity axis to a vector.

Index
Click here to view the latest version of this page online